#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <omp.h>


const char *hello[]={ "Good morning",
                      "Bonjour",
                      "Buon Giorno",
                      "Buenos días",
                      "Egun on",
                       NULL};

const char *bye[]={"Bye",
		   "Au revoir",
		   "Arrivederci",
		   "Hasta luego",
		   "Adio",
		   NULL};
  
int main()
{
#pragma omp parallel  
  {
#pragma omp single
    {
      for (int i = 0 ; hello[i] != NULL; i++)  
	printf("%s (%d)\n", hello[i], omp_get_thread_num());

      for (int i = 0 ; bye[i] != NULL; i++)  
	printf("%s (%d)\n", bye[i], omp_get_thread_num());
    }
  }
  return 0;
}
